Subject: bug#13503: 24.3.50; option `scroll-bar-adjust-thumb-portion'

From: "Drew Adams" <[email-masked]>
Date: Sun, 20 Jan 2013 09:10:11 -0800

> > > Since it's only available on X (based on features that 
> > > need X), you don't see its doc string on Windows.
> > 
> > Windows users should either not have the variable at all or 
> > they should see its doc, which should let them know that it
> > is not usable on Windows.  It is wrong
> > for them to have the variable and not be able to see its doc.
> 
> What do you mean by "have the variable"?  If I try to evaluate it on
> Windows, I get an error: Debugger entered--Lisp error: (void-variable 
> 
> This is what I'd expect, and it seems so would you.  So where's the
> problem exactly?

Sorry, I meant the announcement of the variable's presence in NEWS, with no
further explanation.  If it is announced without explanation then its doc should
be available.  But it is preferable to just mention in NEWS that it is only for
X Window.

> > And NEWS should call out the fact that it is only for Emacs 
> > that uses X Window.
> 
> Agreed.

That would be sufficient to dispel any confusion, IMO.

> > We currently say nothing at all about this option in NEWS, 
> > except that it is new.  In that case, (all) users must be able
> > to get info about it from Emacs in some other way, e.g., C-h v
> > or a manual.

(That says better what I was trying to say above.)

> It will probably get fixed before the release.  Or should be.

Thx.  If it will, then you can close this bug if you think that's appropriate.
It seems that some, at least, feel that bug reports about NEWS problems are
uncalled-for before the actual release.